## libjpeg 0.0~git20190821.87636f3b26b4

=== Makefile ===
#! make
#######################################################################
##
## $Id: Makefile,v 1.14 2018/04/14 21:59:35 thor Exp $
##
#######################################################################
## Makefile for the jpeg project,
## THOR Software, May 20, 2012, Thomas Richter for Accusoft 
#######################################################################
##
## 
.PHONY:		clean debug final valgrind valfinal coverage all install doc dox distrib \
		verbose profile profgen profuse Distrib.zip ISODistrib.zip view realclean \
		uninstall link linkglobal linkprofuse linkprofgen linkprof pubdistrib \
		lib libstatic libdebug tar help cleandep

all:		debug

help:
		@ echo "JPEG Linux/Solaris/AIX Edition. Available make targets:"
		@ echo "clean     : cleanup directories, remove object code"
		@ echo "            a second clean will remove autoconf generated files"
		@ echo "debug     : debug-build target without optimizations and "
		@ echo "            debugger support (default)"
		@ echo "final     : final build with optimizer enabled and no debugging"
		@ echo "valgrind  : debug build without internal memory munger, allows"
		@ echo "            to detect memory leaks with valgrind"
		@ echo "valfinal  : final build for valgrind with debug symbols"
		@ echo "coverage  : build for coverage check tools"
		@ echo "doc       : build the documentation"
		@ echo "distrib   : build distribution zip archive"
		@ echo "tar	  : build distribution tar archive"
		@ echo "verbose   : debug build with verbose logging"
		@ echo "profile   : build with profiler support"
		@ echo "profgen   : ICC build target for collecting profiling information"
		@ echo "profuse   : second stage optimizer, uses profiling information"
		@ echo "            collected with 'make profgen' generated target"
		@ echo "lib	  : generate libjpeg.so"
		@ echo "libdebug  : generate debug-able libjpeg.so"
		@ echo "libstatic : generate libjpeg.a"
		@ echo "install   : install jpeg into ~/bin/wavelet"
		@ echo "uninstall : remove jpeg from ~/bin/wavelet"
		@ echo "cleandep  : remove dependency files"

#####################################################################
## Varous Autoconf related settings                                ##
#####################################################################

configure:	configure.in
	@ rm -f automakefile autoconfig.h autoconfig.h.in
	@ autoconf
	@ autoheader

autoconfig.h.in:	configure.in
	@ autoheader

autoconfig.h:	autoconfig.h.in configure
	@ touch autoconfig.h
	@ ./configure 

##
## faked rule for the automake file to shut up
## realclean and clean targets. All others depend
## on autoconfig.h and thus on this file anyhow.
automakefile:	
	@ echo "" >automakefile

##
##
## Include autoconf settings as soon as we have them
## will be included by recursive make process
##
-include	automakefile

#####################################################################
#####################################################################
##
## Build up the absolute path for the makefile containing the
## compiler specific definitions
##
ifdef		SETTINGS
##
## Autoconf selection
COMPILER_SETTINGS=	$(shell pwd)/Makefile_Settings.$(SETTINGS)
else
##
## Fallback for realclean, clean
COMPILER_SETTINGS=	$(shell pwd)/Makefile_Settings.gcc
endif
AUTOMAKEFILE=	$(shell pwd)/automakefile

##
## Include the project specific definitions

include		Makefile.template

#####################################################################
#####################################################################

ifdef	PREFIX
INSTALLDIR	= $(PREFIX)
else
INSTALLDIR	= $(HOME)/wavelet/bin
endif

##
##

##
## sub-directory libraries, automatically computed
##

DIRLIBS		=	$(foreach dir,$(DIRS),$(dir).dir)
BUILDLIBS	=	$(foreach dir,$(DIRS),$(dir).build)
FINALLIBS	=	$(foreach dir,$(DIRS),$(dir)/lib$(dir).a)
SHAREDLIBS	=	$(foreach dir,$(DIRS),$(dir)/lib_$(dir).a)
OBJECTLIST	=	$(foreach dir,$(DIRS),$(dir)/objects.list)
LIBOBJECTLIST	=	$(foreach dir,$(DIRS),$(dir)/libobjects.list)

%.dir:
		@ $(MAKE) COMPILER_SETTINGS=$(COMPILER_SETTINGS) AUTOMAKEFILE=$(AUTOMAKEFILE) \
		--no-print-directory -C $* sub$(TARGET)

%.build:
		@ $(MAKE) COMPILER_SETTINGS=$(COMPILER_SETTINGS) AUTOMAKEFILE=$(AUTOMAKEFILE) \
		MAKEFILE=$(shell if test -f $*/Makefile.$(HWTYPE); then echo Makefile.$(HWTYPE); else echo Makefile;fi) \
		--no-print-directory -C $* -f \
		$(shell if test -f $*/Makefile.$(HWTYPE); then echo Makefile.$(HWTYPE); else echo Makefile;fi) \
		sub$(TARGET)

echo_settings:
		@ $(ECHO) "Using $(CXX) $(OPTIMIZER) $(CFLAGS) $(PTHREADCFLAGS)"

#####################################################################
#####################################################################
##
## Various link targets
##

link:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg

linkglobal:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) $(GLOBFLAGS) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg

linkprofgen:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) $(PROFGEN) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg
linkprofuse:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) $(GLOBFLAGS) $(PROFUSE) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg

linkprof:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) $(LDPROF) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg

linkcoverage:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(OBJECTLIST) >objects.list
		@ $(LD) $(LDFLAGS) $(PTHREADLDFLAGS) $(LDCOVERAGE) `cat objects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(SDL_LDFLAGS) -o jpeg

linklib:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(LIBOBJECTLIST) >libobjects.list
		@ $(CC_ONLY) $(LDFLAGS) `cat libobjects.list | sed 's/std\/unistd.o//'` \
		  $(LDLIBS) $(PTHREADLIBS) $(LD_OPTS) -shared --strip-all --no-undefined -o libjpeg.so

linklibstatic:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(LIBOBJECTLIST) >libobjects.list
		@ $(AR) $(AROPTS) libjpeg.a `cat libobjects.list | sed 's/std\/unistd.o//'`

linklibdebug:
		@ $(ECHO) "Linking..."
		@ $(CAT) $(LIBOBJECTLIST) >libobjects.list
		@ $(LD) $(LDFLAGS) `cat libobjects.list` \
		  $(LDLIBS) $(PTHREADLIBS) $(LD_OPTS) -shared --no-undefined -o libjpeg.so

#####################################################################
#####################################################################
##
## Various make targets
##

debug	:	autoconfig.h	
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory link

verbose	:	autoconfig.h	
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory link

final	:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory link

global	:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linkglobal

profgen	:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linkprofgen

profuse	:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linkprofuse

profile	:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linkprof

valgrind:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory link

valfinal:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory link

coverage:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linkcoverage

lib:		autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linklib

libstatic:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linklibstatic

libdebug:	autoconfig.h
	@ $(MAKE) --no-print-directory echo_settings $(BUILDLIBS) \
	TARGET="$@"
	@ $(MAKE) --no-print-directory linklibdebug

clean	:
	@ find . -name "*.d" -exec rm {} \;
	@ $(MAKE) --no-print-directory $(BUILDLIBS) \
	TARGET="$@"
	@ rm -rf *.dpi *.so jpeg gmon.out core Distrib.zip objects.list libobjects.list libjpeg.so
	@ if test -f "doc/Makefile"; then $(MAKE) --no-print-directory -C doc clean; fi
	@ rm -rf dox/html

distclean	:	realclean
	@ $(MAKE) configure
	@ $(MAKE) autoconfig.h.in

realclean	:	clean
	@ rm -f *.jpeg *.ppm *.pgm *.bmp *.pgx *.pgx_?.h *.pgx_?.raw *.jp2 *.jpc cachegrind.out* gmon.out *.zip *.tgz
	@ find . -name "*.da"   -exec rm {} \;
	@ find . -name "*.bb"   -exec rm {} \;
	@ find . -name "*.bbg"  -exec rm {} \;
	@ find . -name "*.gcov" -exec rm {} \;
	@ find . -name "*.dyn"  -exec rm {} \;
	@ find . -name "*.dpi"  -exec rm {} \;
	@ rm -rf /tmp/*.dyn /tmp/*.dpi
	@ rm -rf automakefile autoconfig.h configure

cleandep:
	@ find . -name "*.d" -exec rm {} \;

distrib	:	Distrib.zip

Distrib.zip	:	doc dox configure autoconfig.h.in
	@ touch interface/jpeg.hpp
	@ sleep 2
	@ touch configure.in
	@ sleep 2
	@ touch autoconfig.h.in
	@ sleep 2
	@ touch configure
	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="zip"
	@ $(ZIPASCII) -r Distrib.zip README Compile.txt config.h
	@ $(ZIP) -r Distrib.zip Makefile Makefile.template Makefile_Settings.*
	@ $(ZIP) -r Distrib.zip configure configure.in automakefile.in autoconfig.h.in
	@ $(ZIP) -r Distrib.zip dox/html
	@ $(ZIP) -r Distrib.zip vs10.0 --exclude '*CVS*' 
	@ $(ZIP) -r Distrib.zip vs12.0 --exclude '*CVS*' 

isodistrib:	ISODistrib.zip

##
## The public distribution, no accusoft-code, with the stripped headers.
ISODistrib.zip	:	doc configure autoconfig.h.in
	@ cp README.license COPYRIGHT
	@ touch interface/jpeg.hpp
	@ sleep 2
	@ touch configure.in
	@ sleep 2
	@ touch autoconfig.h.in
	@ sleep 2
	@ touch configure
	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="isozip"
	@ $(ZIPASCII) -r ISODistrib.zip README COPYRIGHT README.license README.history Compile.txt config.h
	@ $(ZIP) -r ISODistrib.zip Makefile Makefile.template Makefile_Settings.*
	@ $(ZIP) -r ISODistrib.zip configure configure.in automakefile.in autoconfig.h.in
	@ $(ZIP) -r ISODistrib.zip vs10.0 --exclude '*CVS*'
	@ $(ZIP) -r ISODistrib.zip vs12.0 --exclude '*CVS*'

gpldistrib:	GPLDistrib.zip

itudistrib:	ITUDistrib.zip

##
## The public distribution, no patented code, with the stripped headers.
GPLDistrib.zip	:	doc configure autoconfig.h.in
	@ touch interface/jpeg.hpp
	@ sleep 2
	@ touch configure.in
	@ sleep 2
	@ touch autoconfig.h.in
	@ sleep 2
	@ touch configure
	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="gplzip"
	@ $(ZIPASCII) -r GPLDistrib.zip README README.license.gpl README.license.itu README.history Compile.txt config.h
	@ $(ZIP) -r GPLDistrib.zip Makefile Makefile.template Makefile_Settings.*
	@ $(ZIP) -r GPLDistrib.zip configure configure.in automakefile.in autoconfig.h.in
	@ $(ZIP) -r GPLDistrib.zip vs10.0 --exclude '*CVS*'
	@ $(ZIP) -r GPLDistrib.zip vs12.0 --exclude '*CVS*'

##
## The public distribution, no patented code, with the stripped headers.
ITUDistrib.zip	:	doc configure autoconfig.h.in
	@ touch interface/jpeg.hpp
	@ sleep 2
	@ touch configure.in
	@ sleep 2
	@ touch autoconfig.h.in
	@ sleep 2
	@ touch configure
	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
	@ $(ZIPASCII) -r ITUDistrib.zip README README.license.itu README.history Compile.txt config.h
	@ $(ZIP) -r ITUDistrib.zip Makefile Makefile.template Makefile_Settings.*

=== debian/changelog ===
libjpeg (0.0~git20190821.87636f3b26b4-1) unstable; urgency=medium

  * d/watch: Add missing watch file
  * New upstream version 0.0~git20190821.87636f3b26b4
  * d/rules: Fix lintian debhelper-tools-from-autotools-dev-are-deprecated
  * d/rules: Update man page generation

 -- Mathieu Malaterre <malat@debian.org>  Wed, 09 Oct 2019 15:02:55 +0200

libjpeg (0.0~git20180720.99764820d250-3) unstable; urgency=medium

  * d/control: Update Std-Vers no changes needed
  * d/rules Do not use install rule (DESTDIR broken)
  * Run wrap and sort for cleanups

 -- Mathieu Malaterre <malat@debian.org>  Thu, 03 Oct 2019 09:18:30 +0200

libjpeg (0.0~git20180720.99764820d250-2) unstable; urgency=medium

  * d/patches: Fix build inside sbuild. Closes: #939654

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Sep 2019 14:47:13 +0200

libjpeg (0.0~git20180720.99764820d250-1) unstable; urgency=medium

  * Initial release (Closes: #912208)

 -- Mathieu Malaterre <malat@debian.org>  Tue, 28 May 2019 21:56:26 +0200

=== debian/control ===
Source: libjpeg
Section: graphics
Priority: optional
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: autotools-dev, debhelper (>= 9.20160114), help2man
Standards-Version: 4.4.1
Homepage: https://github.com/thorfdbg/libjpeg
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg

Package: libjpeg-tools
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Complete implementation of 10918-1 (JPEG)
 A complete implementation of 10918-1 (JPEG) coming from jpeg.org (the ISO
 group) with extensions for HDR currently discussed for standardization.
 .
 This release also includes the "JPEG on Steroids" improvements implemented for
 the ICIP 2016 Grand Challenge on Image Compression.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_installdocs: debian/jpeg.1
		dh_installdocs

override_dh_auto_install-arch:
	# nothing since I cannot get DESTDIR to work

VERSION=$(shell grep Release README | tail -1 | cut -f1 -d: | cut -f2 -d' ')

debian/jpeg.1: debian/jpeg.1.in
ifeq (false,true)
	debian/libjpeg-tools/usr/bin/jpeg > debian/jpeg.tmp || true
	sed -i -e 's/^-/\n-/' -e '1i [DESCRIPTION]' debian/jpeg.tmp
	help2man --help-option=--info --include=debian/jpeg.tmp \
		--name="jpeg \- jpeg compressor" \
		--no-discard-stderr \
		--version-string=$(VERSION) \
		--help-option="--fake" \
		--output=$@ --no-info echo
else
	help2man --help-option=--info --include=$< \
		--version-string=$(VERSION) \
		--output=$@ --no-info debian/fake
endif

get-orig-source:
	uscan --download --force-download --rename

## libjpeg 0.0~git20200721.e524066

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.14 2018/04/14 21:59:35 thor Exp $
+## $Id: Makefile,v 1.15 2020/07/21 06:43:10 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -302,7 +302,8 @@
 	@ $(ZIP) -r Distrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r Distrib.zip dox/html
 	@ $(ZIP) -r Distrib.zip vs10.0 --exclude '*CVS*' 
-	@ $(ZIP) -r Distrib.zip vs12.0 --exclude '*CVS*' 
+	@ $(ZIP) -r Distrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r Distrib.zip vs15.0 --exclude '*CVS*' 
 
 isodistrib:	ISODistrib.zip
 
@@ -323,6 +324,7 @@
 	@ $(ZIP) -r ISODistrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r ISODistrib.zip vs10.0 --exclude '*CVS*'
 	@ $(ZIP) -r ISODistrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r ISODistrib.zip vs15.0 --exclude '*CVS*'
 
 gpldistrib:	GPLDistrib.zip
 
@@ -344,6 +346,7 @@
 	@ $(ZIP) -r GPLDistrib.zip configure configure.in automakefile.in autoconfig.h.in
 	@ $(ZIP) -r GPLDistrib.zip vs10.0 --exclude '*CVS*'
 	@ $(ZIP) -r GPLDistrib.zip vs12.0 --exclude '*CVS*'
+	@ $(ZIP) -r GPLDistrib.zip vs15.0 --exclude '*CVS*'
 
 ##
 ## The public distribution, no patented code, with the stripped headers.
@@ -356,5 +359,3 @@
 	@ sleep 2
 	@ touch configure
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
-	@ $(ZIPASCII) -r ITUDistrib.zip README README.license.itu README.history Compile.txt config.h
-	@ $(ZIP) -r ITUDistrib.zip Makefile Makefile.template Makefile_Settings.*

=== debian/changelog ===
libjpeg (0.0~git20200721.e524066-1) unstable; urgency=medium

  * d/copyright: Exclude all files from vs15.0 directory
  * New upstream version 0.0~git20200721.e524066
  * d/patches: Fix typos reported by lintian
  * d/patches: Fix typo 'between'
  * d/copyright: Fix typo from upstream 'between'
  * d/patches: Update patches headers

 -- Mathieu Malaterre <malat@debian.org>  Wed, 26 Aug 2020 15:12:34 +0200

libjpeg (0.0~git20200408.cf4cc9c-1) unstable; urgency=medium

  * d/control: Bump Std-Vers to 4.5.0, no changes needed
  * New upstream version 0.0~git20200408.cf4cc9c
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Thu, 07 May 2020 21:43:48 +0200

libjpeg (0.0~git20190821.87636f3b26b4-1.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Improve cross building: (Closes: #947139)
    + Let debhelper perform configuration with --host.
    + cross.patch: Replace a lot of AC_TRY_RUN.

 -- Mathieu Malaterre <malat@debian.org>  Fri, 14 Feb 2020 21:24:27 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: autotools-dev, debhelper (>= 9.20160114), help2man
-Standards-Version: 4.4.1
+Build-Depends: autotools-dev,
+               debhelper (>= 9.20160114),
+               dh-autoreconf,
+               help2man
+Standards-Version: 4.5.0
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg

## libjpeg 0.0~git20210129.91985dc

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.15 2020/07/21 06:43:10 thor Exp $
+## $Id: Makefile,v 1.16 2020/09/21 11:00:52 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -358,4 +358,5 @@
 	@ touch autoconfig.h.in
 	@ sleep 2
 	@ touch configure
+	@ rm *~
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"

=== colortrafo/Makefile ===
##
## $Id: Makefile,v 1.11 2014/09/12 11:40:43 thor Exp $
##
## Makefile for the j2k transcoder project,
## THOR Software, 2. Jul. 2003, Thomas Richter for
## Pegasus Digital Imaging
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	colortrafo integertrafo floattrafo \
		ycbcrtrafo multiplicationtrafo \
		lslosslesstrafo trivialtrafo colortransformerfactory

DIRNAME	=	colortrafo
SUPER	=	../

include	../Makefile.template

=== tools/Makefile ===
##
## $Id: Makefile,v 1.7 2014/02/06 13:10:56 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	debug environment traits rectangle line \
		priorityqueue numerics checksum

XFILES	=	

XDIST	=	

DIRNAME	=	tools
SUPER	=	../

include	../Makefile.template

=== upsampling/Makefile ===
##
## $Id: Makefile,v 1.7 2017/06/02 21:17:40 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	upsamplerbase upsampler cositedupsampler \
		downsamplerbase downsampler interdownsampler

DIRNAME	=	upsampling
SUPER	=	../

include	../Makefile.template

=== debian/changelog ===
libjpeg (0.0~git20210129.91985dc-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:58:39 +0000

libjpeg (0.0~git20210129.91985dc-1) unstable; urgency=medium

  * New upstream version 0.0~git20210129.91985dc
  * d/control: Bumpt Std-Vers to 4.5.1, no changed needed

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Feb 2021 09:47:20 +0100

libjpeg (0.0~git20200925.f145908-1) unstable; urgency=medium

  * New upstream version 0.0~git20200925.f145908
  * d/patches: Remove patches applied upstream
  * d/patches: Refresh cross compilation patch
  * d/control: Update compat to 13

 -- Mathieu Malaterre <malat@debian.org>  Thu, 12 Nov 2020 14:08:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libjpeg
 Section: graphics
 Priority: optional
-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: autotools-dev,
-               debhelper (>= 9.20160114),
-               dh-autoreconf,
-               help2man
-Standards-Version: 4.5.0
+Build-Depends: autotools-dev, debhelper-compat (= 13), dh-autoreconf, help2man
+Standards-Version: 4.5.1
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg

## libjpeg 0.0~git20211203.966a8ed

=== interface/Makefile ===
##
## $Id: Makefile,v 1.4 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	hooks parameters tagitem types jpgtypes \
		imagebitmap bitmaphook jpeg

DIRNAME	=	interface
SUPER	=	../

include	../Makefile.template

=== io/Makefile ===
##
## $Id: Makefile,v 1.7 2014/02/06 13:10:55 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	bytestream randomaccessstream iostream bitstream \
		memorystream decoderstream staticstream checksumadapter

DIRNAME	=	io
SUPER	=	../

include	../Makefile.template

=== std/Makefile ===
##
## $Id: Makefile,v 1.2 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	stdlib stdio math stdarg setjmp \
		errno string ctype stddef unistd \
		assert

XFILES	=	

DIRNAME	=	std
SUPER	=	../

include	../Makefile.template

=== debian/changelog ===
libjpeg (0.0~git20211203.966a8ed-1) unstable; urgency=medium

  * New upstream version 0.0~git20211203.966a8ed

 -- Mathieu Malaterre <malat@debian.org>  Fri, 11 Feb 2022 17:23:35 +0100

libjpeg (0.0~git20211115.76133b7-1) unstable; urgency=medium

  * New upstream version 0.0~git20211115.76133b7

 -- Mathieu Malaterre <malat@debian.org>  Mon, 15 Nov 2021 12:03:17 +0100

libjpeg (0.0~git20210908.58455ca-1) unstable; urgency=medium

  * New upstream version 0.0~git20210908.58455ca
  * d/control: Bump Std-Vers to 4.6.0, no changes needed
  * d/patches: reasonable compiler identification Closes: #980421
  * d/patches: Refresh patches

 -- Mathieu Malaterre <malat@debian.org>  Tue, 09 Nov 2021 10:43:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: libjpeg
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
+Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: autotools-dev, debhelper-compat (= 13), dh-autoreconf, help2man
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg

## libjpeg 0.0~git20220615.842c7ba

=== debian/changelog ===
libjpeg (0.0~git20220615.842c7ba-2) unstable; urgency=medium

  * d/patches: fix ftbfs. Closes: #1013649

 -- Mathieu Malaterre <malat@debian.org>  Thu, 11 Aug 2022 16:28:56 +0200

libjpeg (0.0~git20220615.842c7ba-1) unstable; urgency=medium

  * d/u/metadata: Fix lintian report on missing metadata
  * d/control: Add Rules-Requires-Root: no
  * d/copyright: Refresh year to 2022
  * New upstream version 0.0~git20220615.842c7ba
  * d/patches: Refresh patches
  * d/control: Bump Std-Vers to 4.6.1 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Mon, 20 Jun 2022 16:48:10 +0200

libjpeg (0.0~git20220228.acfec20-1) unstable; urgency=medium

  * d/manpages: Add examples section in man page
  * d/docs: Properly install upstream README
  * New upstream version 0.0~git20220228.acfec20

 -- Mathieu Malaterre <malat@debian.org>  Wed, 02 Mar 2022 10:19:12 +0100

## libjpeg 0.0~git20220805.54ec643

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.16 2020/09/21 11:00:52 thor Exp $
+## $Id: Makefile,v 1.17 2022/03/07 15:54:33 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -176,7 +176,7 @@
 		@ $(ECHO) "Linking..."
 		@ $(CAT) $(LIBOBJECTLIST) >libobjects.list
 		@ $(CC_ONLY) $(LDFLAGS) `cat libobjects.list | sed 's/std\/unistd.o//'` \
-		  $(LDLIBS) $(PTHREADLIBS) $(LD_OPTS) -shared --strip-all --no-undefined -o libjpeg.so
+		  $(LDLIBS) $(PTHREADLIBS) $(LD_OPTS) -shared -o libjpeg.so
 
 linklibstatic:
 		@ $(ECHO) "Linking..."
@@ -360,3 +360,4 @@
 	@ touch configure
 	@ rm *~
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
+	@ mv README.license README.license.back

=== dct/Makefile ===
##
## $Id: Makefile,v 1.14 2016/10/28 13:58:53 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	dct idct liftingdct deringing

DIRNAME	=	dct
SUPER	=	../

include	../Makefile.template

=== debian/changelog ===
libjpeg (0.0~git20220805.54ec643-1) unstable; urgency=medium

  * New upstream version 0.0~git20220805.54ec643

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Jan 2023 11:01:20 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: autotools-dev, debhelper-compat (= 13), dh-autoreconf, help2man
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/thorfdbg/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
+Rules-Requires-Root: no
 
 Package: libjpeg-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@
+	dh $@ --with=autoreconf
 
 override_dh_installdocs: debian/jpeg.1
 		dh_installdocs

## libjpeg 0.0~git20241105.c719010

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #! make
 #######################################################################
 ##
-## $Id: Makefile,v 1.17 2022/03/07 15:54:33 thor Exp $
+## $Id: Makefile,v 1.18 2023/02/21 09:17:28 thor Exp $
 ##
 #######################################################################
 ## Makefile for the jpeg project,
@@ -358,6 +358,6 @@
 	@ touch autoconfig.h.in
 	@ sleep 2
 	@ touch configure
-	@ rm *~
+	@ rm -f *~
 	@ $(MAKE) --no-print-directory $(DIRLIBS) TARGET="ituzip"
 	@ mv README.license README.license.back

=== boxes/Makefile ===
##
## $Id: Makefile,v 1.15 2015/03/11 16:02:38 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	box superbox namespace filetypebox databox tonemapperbox \
		inversetonemappingbox floattonemappingbox \
		parametrictonemappingbox nonlineartrafobox colortrafobox \
		dctbox outputconversionbox refinementspecbox mergingspecbox \
		matrixbox lineartransformationbox floattransformationbox \
		checksumbox alphabox

DIRNAME	=	boxes
SUPER	=	../

include	../Makefile.template

=== cmd/Makefile ===
##
## $Id: Makefile,v 1.5 2015/03/11 16:02:41 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

XFILES	=	main bitmaphook filehook iohelpers tmo defaulttmoc \
		encodea encodeb encodec reconstruct

XDIST	=	

DIRNAME	=	cmd
SUPER	=	../

include	../Makefile.template

=== coding/Makefile ===
##
## $Id: Makefile,v 1.10 2012/05/20 16:17:27 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	decodertemplate huffmantemplate arithmetictemplate \
		huffmancoder huffmandecoder blockrow quantizedrow \
		arthdeco qmcoder huffmanstatistics actemplate

DIRNAME	=	coding
SUPER	=	../

include	../Makefile.template

=== control/Makefile ===
##
## $Id: Makefile,v 1.13 2013/03/05 08:12:39 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	bitmapctrl residualblockhelper \
		blockctrl blockbuffer residualbuffer linebuffer \
		blockbitmaprequester linebitmaprequester \
		lineadapter blocklineadapter linelineadapter \
		linemerger hierarchicalbitmaprequester bufferctrl

DIRNAME	=	control

SUPER	=	../

include	../Makefile.template

=== marker/Makefile ===
##
## $Id: Makefile,v 1.16 2016/10/28 13:58:54 thor Exp $
##
## Makefile for the jpeg transcoder project,
## THOR Software, May 20, 2012, Thomas Richter
## 
## This sub-makefile includes definitions relative to this
## directory.
##

FILES	=	quantization quantizationtable \
		huffmantable frame component scan \
		adobemarker jfifmarker exifmarker \
		actable restartintervalmarker scantypes \
		thresholds lscolortrafo

DIRNAME	=	marker
SUPER	=	../

include	../Makefile.template

=== debian/changelog ===
libjpeg (0.0~git20241105.c719010-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (Closes: #1041103)
     - CVE-2023-37836
     - CVE-2023-37837
  * Standards-Version: 4.7.0
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Drop unnecessary dependency on dh-autoreconf.
  * d/clean: add clean debian/jpeg.1
  * d/rules: add override_dh_auto_clean target (Closes: #1091050)
  * d/copyright:
      - remove Files-Excluded field, not repackage source
      - update-debian-copyright year info to 2025

 -- xiao sheng wen <atzlinux@debian.org>  Tue, 21 Jan 2025 15:30:53 +0800

=== debian/control ===
Source: libjpeg
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               help2man
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
Homepage: https://github.com/thorfdbg/libjpeg
Rules-Requires-Root: no

Package: libjpeg-tools
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Complete implementation of 10918-1 (JPEG)
 A complete implementation of 10918-1 (JPEG) coming from jpeg.org (the ISO
 group) with extensions for HDR currently discussed for standardization.
 .
 This release also includes the "JPEG on Steroids" improvements implemented for
 the ICIP 2016 Grand Challenge on Image Compression.

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,13 @@
 #export DH_VERBOSE = 1
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_installdocs: debian/jpeg.1
 		dh_installdocs
+
+override_dh_auto_clean:
+	$(MAKE) realclean
 
 override_dh_auto_install-arch:
 	# nothing since I cannot get DESTDIR to work
@@ -27,6 +30,3 @@
 		--version-string=$(VERSION) \
 		--output=$@ --no-info debian/fake
 endif
-
-get-orig-source:
-	uscan --download --force-download --rename

=== debian/watch ===
# uscan(1) configuration file.
version=4
opts="mode=git,pgpmode=none" \
https://github.com/thorfdbg/libjpeg \
HEAD debian uupdate

## libjpeg 0.0~git20250815.25f7128

=== debian/changelog ===
libjpeg (0.0~git20250815.25f7128-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.3
  * d/copyright: update year info to 2026
  * add d/p/Makefile_Settings.gcc-Hardening.patch, Closes: #1124869
  * d/rules:
      - add export DEB_BUILD_MAINT_OPTIONS = hardening=+all
      - change override_dh_installdocs target to execute_before_dh_installman

 -- xiao sheng wen <atzlinux@debian.org>  Fri, 09 Jan 2026 11:03:53 +0800

libjpeg (0.0~git20250815.25f7128-1) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version: 4.7.2
  * d/control: delete Rules-Requires-Root: no, useless
  * add debian/gbp.conf
  * New upstream version 0.0~git20250815.25f7128(1.71)

 -- xiao sheng wen <atzlinux@debian.org>  Sun, 14 Dec 2025 10:24:59 +0800

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                help2man
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/debian-phototools-team/libjpeg
 Vcs-Git: https://salsa.debian.org/debian-phototools-team/libjpeg.git
 Homepage: https://github.com/thorfdbg/libjpeg
-Rules-Requires-Root: no
 
 Package: libjpeg-tools
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,17 +1,18 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
 	dh $@
-
-override_dh_installdocs: debian/jpeg.1
-		dh_installdocs
 
 override_dh_auto_clean:
 	$(MAKE) realclean
 
 override_dh_auto_install-arch:
 	# nothing since I cannot get DESTDIR to work
+
+execute_before_dh_installman: debian/jpeg.1
 
 VERSION=$(shell grep Release README | tail -1 | cut -f1 -d: | cut -f2 -d' ')
